Authentication

POST /api/v1/login

Create Login

Request Body

Type: Credentials

FieldTypeDescription
passwordstring
usernamestring
device_tokenstringTrusted device token for OTP bypass

Response

Type: LoginReply

FieldTypeDescription
iduuid.UUID
usernamestring
namestring
emailstring
firstnamestring
apikeystring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/login

POST /api/v1/logout

Create Logout

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  https://api.seeme.ai/api/v1/logout

POST /api/v1/register

Create Registration

Request Body

Type: Registration

FieldTypeDescription
usernamestring
emailstring
namestring
firstnamestring
passwordstring

Response

Type: RegistrationError

FieldTypeDescription
messagestring
severitystring
registrationRegistration

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/register

POST /api/v1/resetpassword

Create Reset Password

Request Body

Type: ResetPasswordRequest

FieldTypeDescription
loginstring

Response

Type: ResetPasswordRequest

FieldTypeDescription
loginstring

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/resetpassword

GET /api/v1/resetpassword/{user_id}/{reset_token}

Get Reset Password

Parameters

NameInTypeRequired
user_idpathstringtrue
reset_tokenpathstringtrue

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/resetpassword/{user_id}/{reset_token}

PUT /api/v1/resetpassword/{user_id}/{reset_token}

Update New Password

Parameters

NameInTypeRequired
user_idpathstringtrue
reset_tokenpathstringtrue

Request Body

Type: NewPasswordRequest

FieldTypeDescription
user_idstring
reset_tokenstring
passwordstring
repeat_passwordstring
messagestring

Response

Type: NewPasswordRequest

FieldTypeDescription
user_idstring
reset_tokenstring
passwordstring
repeat_passwordstring
messagestring

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/resetpassword/{user_id}/{reset_token}